complexType "PartyReport"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 11 elements
Defined: | globally in fpml-reporting-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, onBehalfOf[0..4]?, asOfDate?, dataSetName?, reportContents?, party*, account*
</...>

Content Model Elements (11):

  account, asOfDate (in partyReport), correlationId, dataSetName (in partyReport), header (defined in NotificationMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, party (defined in PartiesAndAccounts.model group), reportContents (in partyReport), sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (1):

  partyReport

Known Usage Locations

- As direct type of elements (1):
  partyReport

Annotation
A type defining the content model for a message allowing one party to send a report listing party information and relationships.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) PartyReport

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="PartyReport"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="dataSetName" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/11)
asOfDate

  Type: | IdentifiedDate, simple content

  The date for which this report was generated.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/>

dataSetName

  Type: | xsd:normalizedString, predefined, simple content

  The name of the data set (portfolio, product type, etc.) that this request corresponds to. Describes the desired report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dataSetName" type="xsd:normalizedString"/>

reportContents

  Type: | ReportContents, complex content

  The specific characteristics included in the report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.